Subject: [Sipping] Comments on draft-malas-performance-metrics-05.txt

From: "Fardid, Reza" <[email-masked]>
Date: Sat, 11 Nov 2006 15:25:48 -0800

Daryl,

Here are a few comments on this draft, based on a first pass through it:

1. Introduction

I would add User Behavior as another factor that can affect measurements
of some of the metrics.

3. SIP Performance Metrics

If User Behavior MAY affect measurements of a metric, then it MUST be
noted for each defined metric.

3.5 Session Establishment Ratio (SER)

I suggest referencing ITU-T E.411 for the telephony definition of ASR,
unless GR-512-CORE includes it.

3.11 (or 3.5.1) Session Establishment Efficiency Ratio (SEER): proposed
as a new metric, unless it can be derived from currently defined metrics

This metric is used to provide a better representation of network
performance by eliminating user behavior from  Session Established Ratio
(SER). It is known as Network Efficiency Ratio (NER) in telephony
applications, and was adopted from the ITU-T E.411 Amendment.

The following response codes provide a guideline for this metric:

-         480  Temporarily Unavailable

-         486  Busy Here

-         600  Busy Everywhere

SEER % = (# of  INVITEs w/ associated 200OK + # of 480s + # of 486s + #
of 600s)/(Total # of INVITEs)

Regards,

Reza Fardid

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Daryl Malas <[email-masked]>
Date: Thu, 16 Nov 2006 11:10:47 -0700

On Sat, 2006-11-11 at 15:25 -0800, Fardid, Reza wrote:
> I would add User Behavior as another factor that can affect
> measurements of some of the metrics.
> 
I'll have to think about this further.  Can you please give an example
of how user behavior can effect signaling and therefore impact a metric?
Thanks...
> noted for each defined metric.
See above.
> unless GR-512-CORE includes it.
I will review and reference as necessary. Thanks...
> 
> 3.11 (or 3.5.1) Session Establishment Efficiency Ratio (SEER):
> proposed as a new metric, unless it can be derived from currently
> defined metrics
> 
>  
> 
> performance by eliminating user behavior from  Session Established
> Ratio (SER). It is known as Network Efficiency Ratio (NER) in
> telephony applications, and was adopted from the ITU-T E.411
> Amendment.
> 
>  
> 
> SEER % = (# of  INVITEs w/ associated 200OK + # of 480s + # of 486s +
> # of 600s)/(Total # of INVITEs)
> 
There are a number of metrics people have suggested.  All of them are
valid and good metrics.  I will ask the working group to review them,
and comment.  I don't mind adding them if the mailing list finds
significant value in them.  Thanks...